unit sensors2;

interface

uses
  Windows, ActiveX, Sensors;

const

// {00000000-0000-0000-0000-000000000000}
SID_GUID_NULL                             = '{00000000-0000-0000-0000-000000000000}';
GUID_NULL:
  TGUID = SID_GUID_NULL; // [???]
{$EXTERNALSYM GUID_NULL}

// {00000000-0000-0000-0000-000000000000}
PROPERTYKEY_NULL:
  TPropertyKey = (fmtid: SID_GUID_NULL; pid:  0); //[???]
{$EXTERNALSYM GUID_NULL}

//------------------------------------------------------------------------------
// Sensor Properties (additions to sensor.pas)
//------------------------------------------------------------------------------

// {7F8383EC-D3EC-495C-A8CF-B8BBE85C2920}
SENSOR_PROPERTY_NUMBER_OF_SENSORS:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 21); //[???]
{$EXTERNALSYM SENSOR_PROPERTY_NUMBER_OF_SENSORS}
SENSOR_PROPERTY_CATEGORY:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 22); //[???]
{$EXTERNALSYM SENSOR_PROPERTY_CATEGORY}
SENSOR_PROPERTY_RANGE:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 23); //[???]
{$EXTERNALSYM SENSOR_PROPERTY_RANGE}
SENSOR_PROPERTY_COMMON_PROPERTIES:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 24); //[???]
{$EXTERNALSYM SENSOR_PROPERTY_COMMON_PROPERTIES}
SENSOR_PROPERTY_CHANGE_SENSITIVITY_ABS:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 25); //[VT_UNKNOWN]
{$EXTERNALSYM SENSOR_PROPERTY_CHANGE_SENSITIVITY_ABS}
SENSOR_PROPERTY_CHANGE_SENSITIVITY_PCT:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 26); //[VT_UNKNOWN]
{$EXTERNALSYM SENSOR_PROPERTY_CHANGE_SENSITIVITY_PCT}
SENSOR_PROPERTY_FIRMWARE_VERSION:
  TPropertyKey = (fmtid: SID_SENSOR_PROPERTY_COMMON_GUID; pid: 27); //[VT_UNKNOWN]
{$EXTERNALSYM SENSOR_PROPERTY_FIRMWARE_VERSION}

//------------------------------------------------------------------------------
// Sensor Event IDs  (additions to sensor.pas)
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// Sensor Categories (additions to sensor.pas)
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// Sensor types  (additions to sensor.pas)
//------------------------------------------------------------------------------

// {7446F9B7-BBDA-417a-A4A1-903ABF186851}
SENSOR_TYPE_ALL:
  TGUID = '{7446F9B7-BBDA-417a-A4A1-903ABF186851}';
{$EXTERNALSYM SENSOR_TYPE_ALL}

// Mechanical Sensor Types (additions to sensor.pas)

// {93E89B3A-BDDF-41fe-95BF-881F216C8B3B}
SENSOR_TYPE_ROTATION:
  TGUID = '{93E89B3A-BDDF-41fe-95BF-881F216C8B3B}';
{$EXTERNALSYM SENSOR_TYPE_ROTATION}
// {CE385D20-B7DB-4300-92E7-301FB6829AE9}
SENSOR_TYPE_LINEAR:
  TGUID = '{CE385D20-B7DB-4300-92E7-301FB6829AE9}';
{$EXTERNALSYM SENSOR_TYPE_LINEAR}
// {545C8BA5-B143-4545-868F-CA7FD986B4F6}
SENSOR_TYPE_BOOLEAN_SWITCH_ARRAY:
  TGUID = '{545C8BA5-B143-4545-868F-CA7FD986B4F6}';
{$EXTERNALSYM SENSOR_TYPE_BOOLEAN_SWITCH_ARRAY}

//------------------------------------------------------------------------------
// Sensor Data Types
//------------------------------------------------------------------------------

// Motion Sensor Data Types

// Accelerometer data types
SENSOR_DATA_TYPE_ACCELERATION_3D_G:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_MOTION_GUID; pid:  1); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_ACCELERATION_3D_G}

// Mechanical Sensor Data Types (additions to sensor.pas)

// {38564A7C-F2F2-49bb-9B2B-BA60F66A58DF}
SENSOR_DATA_TYPE_ROTATION_PCT_RANGE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  8); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_ROTATION_PCT_RANGE}
SENSOR_DATA_TYPE_LINEAR_PCT_RANGE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid:  9); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_LINEAR_PCT_RANGE}
SENSOR_DATA_TYPE_BOOLEAN_SWITCH_ARRAY_STATE:
  TPropertyKey = (fmtid: SID_SENSOR_DATA_TYPE_GUID_MECHANICAL_GUID; pid: 10); //[VT_R4]
{$EXTERNALSYM SENSOR_DATA_TYPE_BOOLEAN_SWITCH_ARRAY_STATE}


implementation

end.
